﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Rugicon
{
    /// <summary>
    /// A pack of emoticons, from a common source and may be under a copyright license.
    /// </summary>
    public class EmoticonSet
    {
        public EmoticonSet()
        {
            Emoticons = new List<Emoticon>();
        }

        /// <summary>
        /// The name of the set, given by its author or by its source.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// The emoticons of the set.
        /// </summary>
        public IList<Emoticon> Emoticons { get; set; }

        /// <summary>
        /// The license of usage of the emoticons.
        /// </summary>
        public string License { get; set; }

        /// <summary>
        /// The mind behind this set.
        /// </summary>
        public string Author { get; set; }

        /// <summary>
        /// Anything to say about this set.
        /// </summary>
        public string Description { get; set; }
    }
}
