﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Rugicon
{
    /// <summary>
    /// A service that retrieves emoticons from a source.
    /// </summary>
    public interface IEmoticonService : IDisposable
    {
        /// <summary>
        /// Raised when the source has changed its emoticons.
        /// </summary>
        event EventHandler<EventArgs> EmoticonsChanged;

        /// <summary>
        /// Obtains all available emoticons sets from the source.
        /// </summary>
        /// <returns></returns>
        IEnumerable<EmoticonSet> GetEmoticonSets();
    }
}
